{% extends 'security/base.html.twig' %}

{% block body %}
    <div class="nk-app-root">
        <!-- main @s -->
        <div class="nk-main ">
            <!-- wrap @s -->
            <div class="nk-wrap nk-wrap-nosidebar">
                <!-- content @s -->
                <div class="nk-content ">
                    <div class="nk-block nk-block-middle nk-auth-body  wide-xs">
                        <div class="brand-logo pb-4 text-center">
                            <a href="#" class="logo-link">
                            <!--    <img class="logo-light logo-img logo-img-lg" src="./images/logo.png" srcset="./images/logo2x.png 2x" alt="logo">
                                <img class="logo-dark logo-img logo-img-lg" src="./images/logo-dark.png" srcset="./images/logo-dark2x.png 2x" alt="logo-dark">-->
                            </a>
                        </div>
                        <div class="card card-bordered">
                            <div class="card-inner card-inner-lg">
                                <div class="nk-block-head">
                                    <div class="nk-block-head-content">
                                        <h4 class="nk-block-title">Connexion</h4>
                                        <div class="nk-block-des">
                                            <p>Accès à l'interface Toulouse Companion</p>
                                        </div>
                                    </div>
                                </div>
                                {% if error %}
                                    <div class="alert alert-fill alert-danger alert-dismissible">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
                                {% endif %}
                                {% for message in app.flashes('success') %}
                                    <div class="alert alert-fill alert-icon alert-success alert-dismissible">
                                        <em class="icon ni ni-check-circle-fill"></em>
                                        {{ message }}
                                    </div>
                                {% endfor %}
                                <form action="{{ path('app_login') }}" method="post">
                                    <div class="form-group">
                                        <div class="form-label-group">
                                            <label class="form-label" for="default-01">E-mail</label>
                                        </div>
                                        <div class="form-control-wrap">
                                            <input type="text" class="form-control form-control-lg" id="default-01" name="_username" placeholder="Adresse e-mail" value="{{ lastUsername }}">
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="form-label-group">
                                            <label class="form-label" for="password">Mot de passe</label>
                                            <a class="link link-primary link-sm" href="{{ path('app_security_askreset') }}">Mot de passe oublié ?</a>
                                        </div>
                                        <div class="form-control-wrap">
                                            <a href="#" class="form-icon form-icon-right passcode-switch lg" data-target="password">
                                                <em class="passcode-icon icon-show icon ni ni-eye"></em>
                                                <em class="passcode-icon icon-hide icon ni ni-eye-off"></em>
                                            </a>
                                            <input type="password" class="form-control form-control-lg" id="password" placeholder="Mot de passe" name="_password">
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="custom-control custom-switch">
                                            <input type="checkbox" class="custom-control-input" id="customSwitch1" checked name="_remember_me">
                                            <label class="custom-control-label" for="customSwitch1">Se souvenir de moi</label>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">
                                        <button class="btn btn-lg btn-primary btn-block">Connexion</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <div class="nk-footer nk-auth-footer-full">
                        <div class="container wide-lg">
                            <div class="row g-3">
                                <div class="col-lg-6 order-lg-last">
                                    <ul class="nav nav-sm justify-content-center justify-content-lg-end">
                                        <li class="nav-item">
                                            <a class="nav-link" href="{{ path('app_core_privacy') }}">Données personnelles</a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link" href="mailto:tls.companion@gmail.com" >Contact</a>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- wrap @e -->
            </div>
            <!-- content @e -->
        </div>
        <!-- main @e -->
    </div>
{% endblock %}
